%global commit  888cb5f0a2ba6d0d3defaa533bed5027f2028e17
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           diorite
Version:        0.1
Release:        0.4git%{shortcommit}%{?dist}
# package contains different license types, see file COPYRIGHT
License:        LGPLv3+ and LGPLv2+ and BSD
Summary:        Utility and widget library for Nuvola Player
URL:            https://github.com/tiliado/diorite
# wget https://github.com/tiliado/diorite/archive/888cb5f0a2ba6d0d3defaa533bed5027f2028e17/diorite-0.1-888cb5f.tar.gz
Source:         https://github.com/tiliado/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
BuildRequires:  gtk3-devel
BuildRequires:  vala-devel
BuildRequires:  waf


%description
Diorite Library is a utility and widget library for Nuvola Player project based
on GLib, GIO and GTK.

%package        devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}

%prep
%setup -qn %{name}-%{commit}

%build
waf configure --prefix=%{_prefix} \
              --libdir=%{_libdir}
waf build --prefix=%{_prefix} \
          --libdir=%{_libdir}

%install
waf install --prefix=%{_prefix} \
            --libdir=%{_libdir} \
            --destdir=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README.md
%{_bindir}/%{name}-testgen-%{version}
%{_libdir}/libdioriteglib-0.1.so
%{_libdir}/libdioritegtk-0.1.so
%{_datadir}/vala/vapi/diorite*-0.1.*

%files devel
%{_libdir}/pkgconfig/diorite*.pc
%{_includedir}/diorite-1.0/*

%changelog
* Mon Feb 16 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.1-0.4git888cb5f
- rebuild for new git release
- used wildcard for include dir
- deleted RR pkgconfig from devel package
- correct warning one-line-command-in-%%postun

* Mon Dec 15 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1-0.3git2dee74e
- rebuild for new git release

* Mon Nov 03 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1-0.2gitb18ccd0
- rebuild for new git release
- changed %%release format

* Thu Oct 30 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1-0.1gitfe5d13
- initial build

